Loading...
Searching...
No Matches
caf::io::broker_servant< Base, Handle, SysMsgType > Class Template Reference
Actor-based Network Abstraction

Base class for scribe and doorman. More...

`#include <broker_servant.hpp>`

## Public Types

using | handle_type = Handle

## Public Member Functions

| broker_servant (handle_type x)
handle_type | hdl () const
void | halt ()
void | trigger ()
void | trigger (size_t num)
optional< size_t > | activity_tokens () const

## Protected Member Functions

void | detach_from (abstract_broker *ptr) override
void | invoke_mailbox_element_impl (execution_unit *ctx, mailbox_element &x)
bool | invoke_mailbox_element (execution_unit *ctx)
SysMsgType & | msg ()

## Protected Attributes

handle_type | hdl_
mailbox_element_vals< SysMsgType > | value_
optional< size_t > | activity_tokens_

## Detailed Description

template<class Base, class Handle, class SysMsgType>
class caf::io::broker_servant< Base, Handle, SysMsgType >

Base class for scribe and doorman.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_io/caf/io/broker_servant.hpp